:root {
    --background0: #bfbfbf;
    --background1: #bfbfbf;
    --background2: #3964a0;
    --background-code: #2e3440;
    --shadow-color: #d8dee9;
    --shadow-code: #4c566a;
    --text: #222222;
    --text-link: #222222;
}

img {
    max-width: 100%;
    height: auto;
}

@font-face {
    font-family: regular;
    src: url(RobotoMono-VariableFont_wght.ttf);
}

@font-face {
    font-family: mono;
    src: url(RobotoMono-VariableFont_wght.ttf);
}

body {
    background-color: var(--background2);
    margin: 20px auto;
    max-width: 820px;
    line-height: 1.5;
    font-size: 18px;
    color: var(--text);
    padding: 0px 10px;
    font-family: regular;
}

hr {
    color: var(--shadow-color);
}

.square {
    background-color: var(--background1);
    margin-bottom: 40px;
    padding-top: 1px;
    padding-left: 30px;
    padding-bottom: 10px;
    padding-right: 30px;
    box-shadow: 10px 10px;
}

.miniature {
    background-color: var(--background1);
    margin-bottom: 40px;
    padding-top: 1px;
    padding-left: 30px;
    padding-bottom: 10px;
    padding-right: 30px;
    box-shadow: 10px 10px;
    cursor: pointer;
}

pre {
    background-color: var(--background-code);
    color: var(--background1);
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0px 0px 10px var(--shadow-code);
    margin-left: 40px;
    margin-right: 40px;
}
code {
    font-family: mono;
}

h1 {
    line-height: 1.2;
    color: #21fdfd;
}
h2,
h3 {
    line-height: 1.2;
}

a {
    color: var(--text-link);
    text-decoration: underline;
    font-style: italic;
}
a:visited {
    color: var(--text-link);
    text-decoration: underline;
    font-style: italic;
}
a:hover {
    color: #fcff41;
    background-color: var(--background2);
    text-decoration: underline;
    font-style: italic;
}

footer {
    margin: 10px;
    text-align: center;
}

.title {
    text-align: center;
}
